MySQL Error duruing 1.2.5 Upgrade

Post support questions that directly relate to Linux/Unix operating systems.

Moderators: Moderators, Developers

Post Reply
Author
Message
blacksnow94
Posts: 2
Joined: Sat Dec 20, 2014 1:12 am

MySQL Error duruing 1.2.5 Upgrade

#1 Post by blacksnow94 » Fri Aug 02, 2019 2:42 pm

Greetings,

We've been running a fairly old Cacti 1.1.19 server for a while and thought it was time to upgrade, during the upgrade we encountered the following error Image

Any idea?
CentOS 6.10
MariaDB 10.1
PHP 5.6

Any help is appreciated

User avatar
Osiris
Cacti Pro User
Posts: 863
Joined: Mon Jan 05, 2015 10:10 am

Re: MySQL Error duruing 1.2.5 Upgrade

#2 Post by Osiris » Fri Aug 02, 2019 5:05 pm

You have to follow the cacti recommended settings for innodb_file_format, innodb_large_prefix, and innodb_file_per_table, then restart MariaDB. After that, upgrade will work.
Before history, there was a paradise, now dust.

netniV
Cacti Guru User
Posts: 2873
Joined: Sun Aug 27, 2017 12:05 am

Re: MySQL Error duruing 1.2.5 Upgrade

#3 Post by netniV » Mon Aug 12, 2019 12:46 pm

This is a known issue and is reported on GitHub, you can and probably should track it there.

netniV
Cacti Guru User
Posts: 2873
Joined: Sun Aug 27, 2017 12:05 am

Re: MySQL Error duruing 1.2.5 Upgrade

#4 Post by netniV » Mon Aug 12, 2019 12:47 pm

Actually it's two issues ,one to do with the upgrade, the other to do with the process log showing nothing.

Post Reply